Subject: Re: Problems with perl and pod2html
From: Carlo Florendo <[email-masked]>
To: Thomas Rabe <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Jun 2005 13:33:45 +0800

Thomas,

Thomas Rabe wrote:

>Hello,
>I'm trying to compile a project under windows 2000 professional using
>MSVC C++ 6.0 and the cygwin package and get the following message:
>
>  
>text2pcap-scanner.c
>Linking text2pcap.exe
>        link @C:\DOCUME~1\rt7zfe\LOCALS~1\Temp\nmf01876.
>        cd doc
>        NMAKE /                   -f Makefile.nmake
>
>Microsoft (R) Program Maintenance-Dienstprogramm: Version 6.00.8168.0
>Copyright (C) Microsoft Corp 1988-1998. Alle Rechte vorbehalten.
>
>        bash pod2html                     --title="The Ethereal Network
>Analyzer
> 0.10.10"  --noindex                                  ethereal-tmp.pod >
>ethereal.html
>bash.exe: warning: could not find /tmp, please create!
>pod2html: line 1: c:/programme/cygwin/usr/bin/perl: is a directory
>pod2html: line 1: exec: c:/programme/cygwin/usr/bin/perl: cannot
>execute: No error
>NMAKE : fatal error U1077: 'bash' : Rueckgabe-Code '0x7e'Stop.
>NMAKE : fatal error U1077: 'C:\Programme\MVS\VC98\bin\NMAKE.EXE' :
>Rueckgabe-Code '0x2'
>Stop.
>
>D:\Ethernet\ethereal-0.10.10>
>
>
>
>
>
>Pod2html seems to need an executable file with the path usr/bin/perl.
>The beginning of pod2html is:
>
>
>
>#!/usr/bin/perl
>    eval 'exec c:programme/cygwin/usr/bin/perl -S $0 ${1+"$@"}'
>(I had to change the path from usr/bin/perl, because it wasn't found)
>	if $running_under_some_shell;
>=pod
>
>=head1 NAME
>
>pod2html - convert .pod files to .html files
>
>
>
>
>But in the cygwin package usr/bin/perl is an empty dirctory (as stated
>in the message). The /tmp directory exists, too. So I'm a bit confused.
>Can anybody help me? Thank you.
>
>
>
>Regards 
>
>           Thomas Rabe
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>
>  
>

It would be better if there were more details in this problem of yours.  
Please read http://cygwin.com/problems.html and take note of the part 
that talks about running cygcheck.

Thanks!

Best Regards,

Carlo

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/